<?php
namespace Fifa\ConnectId\Sdk\Model\DataStandard;

/**
 * Class Photo
 * @package Fifa\ConnectId\Sdk\Model\DataStandard
 */
class Photo
{
    /**
     * @var PictureEmbedded
     * @required - required by SDK from business point of view, not required by FIFA Data Standard
     */
    public $PictureEmbedded;

    /**
     * Photo constructor.
     * @param PictureEmbedded $PictureEmbedded
     */
    public function __construct(PictureEmbedded $PictureEmbedded)
    {
        $this->PictureEmbedded = $PictureEmbedded;
    }

    /**
     * @return string
     */
    public function __toString()
    {
        if (is_null($this->PictureEmbedded)) {
            return '';
        }

        return sprintf('PictureEmbedded: [%s]', $this->PictureEmbedded->__toString());
    }
}